<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CityList StructType
 * @subpackage Structs
 */
class CityList extends AbstractStructBase
{
    /**
     * The CityListRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_CityListRQ
     */
    public $CityListRQ;
    /**
     * Constructor method for CityList
     * @uses CityList::setCityListRQ()
     * @param \StructType\JP_CityListRQ $cityListRQ
     */
    public function __construct(\StructType\JP_CityListRQ $cityListRQ = null)
    {
        $this
            ->setCityListRQ($cityListRQ);
    }
    /**
     * Get CityListRQ value
     * @return \StructType\JP_CityListRQ|null
     */
    public function getCityListRQ()
    {
        return $this->CityListRQ;
    }
    /**
     * Set CityListRQ value
     * @param \StructType\JP_CityListRQ $cityListRQ
     * @return \StructType\CityList
     */
    public function setCityListRQ(\StructType\JP_CityListRQ $cityListRQ = null)
    {
        $this->CityListRQ = $cityListRQ;
        return $this;
    }
}
